LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
FolderListEntry Struct Referencepublished

Information about a single folder in a FolderList. More...

`import"FolderListEntry.idl";`

## Public Attributes
string | Title
| The title of the folder. More...
string | ID
| A (unique) identifier for the folder (used by IMAP, where different folders with equal human-readable titles may exist; otherwise, it may be left empty). More...
boolean | Subscribed
| The folder is subscribed. More...
boolean | New
| The folder is new. More...
boolean | Removed
| The folder has been removed. More...
boolean | Purge
| The folder shall be purged (only used in conjunction with the FolderListCommand::SET). More...

## Detailed Description

Information about a single folder in a FolderList.

## Member Data Documentation

string ID

A (unique) identifier for the folder (used by IMAP, where different folders with equal human-readable titles may exist; otherwise, it may be left empty).

boolean New

The folder is new.

boolean Purge

The folder shall be purged (only used in conjunction with the FolderListCommand::SET).

boolean Removed

The folder has been removed.

boolean Subscribed

The folder is subscribed.

string Title

The title of the folder.

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/FolderListEntry.idl